Bootstrap-Flask 2.0.0 发布,添加 Bootstrap 5 支持

时隔三年,Bootstrap-Flask 终于发布了 2.0 版本。欢迎试用和反馈 bug!

这个版本实现了 Bootstrap 5 支持,目前对于不同的版本可以使用不同的扩展类和模板导入路径。对于 Bootstrap 4,使用 Bootstrap4 扩展类和 bootstrap4/ 模板路径:

from flask_bootstrap import Bootstrap4
# ...
bootstrap = Bootstrap4(app)
{% from 'bootstrap4/form.html' import render_form %}

类似地,Bootstrap 5 使用 Bootstrap5 类和 bootstrap5/ 模板路径:

from flask_bootstrap import Bootstrap5
# ...
bootstrap = Bootstrap5(app)
{% from 'bootstrap5/form.html' import render_form %}

Bootstrap 类和 bootstrap/ 模板路径将在 3.0 版本移除。

详细的变更记录见这里:

1 Like